Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
castanea

[Nhờ Viết Lisp] Tạo Text Dưới Dim

Các bài được khuyến nghị

Mình thường tận dụng dim đoạn cắt thép 1/4 dầm để thể hiện luôn cốt đai. Cách làm là sau khi dim, vào edit dim, chuyển dấu nháy về cuối và gõ \ Shift x để xuống dòng viết thêm text.

Nhờ các Anh Em và các Bạn giúp mình làm lisp để có thể click vào dim và thêm text luôn thay vì phải thực hiện các bước trên

Thanks all. 

 

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đọc xong mà thấy nghẹn cả lòng ...  

:(  :(  :(

Cuối dòng+ xuống dòng khác gì 2 nốt gõ cành cạch......." End "+" Enter "... 

Bạn đã dùng thử cách mình nêu trên và cách bạn làm có gì khác nhau chưa???

Nếu đơn giản như bạn nghĩ thì autodesk họ cũng không rảnh đưa ra cái tổ hợp phím "\ Shift+x"

Thanks bạn đã comment cho không trôi bài 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@@ hi hi. Anh @QuocManh... Em hiểu ạ... Nhưng nếu có nhiều Dimention như thế em sẽ gõ them "MA" 1 loạt. Chứ hổng sửa từng số đâu :P

 

Bạn đã thử dùng chưa mà comment nhanh thế, nếu Ma được thì người ta ko nhờ đâu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu dùng tay thì sử dụng Alternate Units sẽ đơn giản và nhanh hơn nhiều :)

@Danh Cong : bạn tham khảo :

https://www.facebook.com/autocadusers/posts/792906217390769

 

Xuống dòng under dimension liné : mã P

Xuống dòng như ý OP : mã X

Tuy nhiên, thực tế tôi thấy lisp này nếu viết ra cũng chẳng nhanh hơn là mấy :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu dùng tay thì sử dụng Alternate Units sẽ đơn giản và nhanh hơn nhiều :)

 

Lâu hơn đấy ket vì giá trị bên dưới chân dim ko tự sửa được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình dân kết cấu mình hiểu mà. Ví dụ tạo 1 dimension style rải thép @150

=> Alternate :

+ Scale 1/150; Roundoff : 1; Sufix : "x150"

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ủa, ko "Ma" dc ạ a @Quanglac.hi,t hế e xin lỗi ạ. Em đang ko có cad, vô điện thoại nên "căm mừn" hơi nhanh.

Dạ, cám ơn anh Ket gợi ý ạ.: )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@Danhcong, Khác nhau mà ...

dkaBLv.jpg

Làm sao để được như hình 2 vậy bạn, chữ và số đều nằm trong dim chứ. Mình nhiều lúc rất cần ghi chú một dòng nào đó ngay dưới dim và phải nằm trong dim

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Làm sao để được như hình 2 vậy bạn, chữ và số đều nằm trong dim chứ. Mình nhiều lúc rất cần ghi chú một dòng nào đó ngay dưới dim và phải nằm trong dim

bấm tổ hợp phím "\ shift x" như chủ thớt ấy

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình thường tận dụng dim đoạn cắt thép 1/4 dầm để thể hiện luôn cốt đai. Cách làm là sau khi dim, vào edit dim, chuyển dấu nháy về cuối và gõ \ Shift x để xuống dòng viết thêm text.

Nhờ các Anh Em và các Bạn giúp mình làm lisp để có thể click vào dim và thêm text luôn thay vì phải thực hiện các bước trên

Thanks all. 

 

Chủ thớt test thử lisp này coi xài được ko? 

 

(defun c:td ()
  (setq stext (Getstring T "Viet text muon them ben duoi Dimention: "))
  (setq snamedim  (car (entsel "\n Chon Dimention? ")))
 
  (setq dxfdim (entget snamedim))
  (setq dxfdim (subst (cons 1 (strcat "<>\\X" stext)) (assoc 1 dxfdim) dxfdim))
  (entmod dxfdim)
  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Test lisp Td nhé. Xài Enter nếu text thêm có dấu cách. nếu ko cần dấu cách thì bỏ giùm chữ "T" sau code (Getstring T).

 

 

Chủ thớt test thử lisp này coi xài được ko? 

 

(defun c:td ()
  (setq stext (Getstring T "Viet text muon them ben duoi Dimention: "))
  (setq snamedim  (car (entsel "\n Chon Dimention? ")))
 
  (setq dxfdim (entget snamedim))
  (setq dxfdim (subst (cons 1 (strcat "<>\\X" stext)) (assoc 1 dxfdim) dxfdim))
  (entmod dxfdim)
  (princ))

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bấm tổ hợp phím "\ shift x" như chủ thớt ấy

làm mãi mới được, đầu tiên phải tắt caps lock rồi bấm đồng thời "\ shift x" làm sao để ra " \ X" mới được. Thế mà lâu nay mình không biết

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×